Subject: Re: linux-next: build warnings after merge of the uuid tree

From: Christoph Hellwig <[email-masked]>
Date: Mon, 5 Jun 2017 16:41:58 +0200

On Mon, Jun 05, 2017 at 05:40:10PM +0300, Andy Shevchenko wrote:
> On Mon, 2017-06-05 at 16:09 +1000, Stephen Rothwell wrote:
> > Hi Christoph,
> > 
> > After merging the uuid tree, today's linux-next build (arm
> > multi_v7_defconfig and x86_64 allmodconfig) produced these warnings:
> > 
> 
> Briefly looking to the conflict it looks like we first need to rename
> register description(s) in dwc2 in the way how it's done in dwc3.

They probably should do that.  But I also think GUID and UUID
are too generic names for a macro and would like to change them
in uuid.h